Bug 1702838 - Missing dependency on xastir - libproj.so.12
Summary: Missing dependency on xastir - libproj.so.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xastir
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 22:20 UTC by David Glover-Aoki
Modified: 2019-06-22 01:02 UTC (History)
3 users (show)

Fixed In Version: xastir-2.1.0-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-22 01:02:42 UTC
Type: Bug


Attachments (Terms of Use)

Description David Glover-Aoki 2019-04-24 22:20:36 UTC
Description of problem:
xastir cannot be installed due to a missing dependency


Version-Release number of selected component (if applicable):
Version      : 2.0.8
Release      : 9.fc29

How reproducible:
Every time


Steps to Reproduce:
1. sudo dnf install xastir

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides libproj.so.12()(64bit) needed by xastir-1:2.0.8-9.fc29.x86_64

Comment 1 David Glover-Aoki 2019-04-30 20:41:41 UTC
Initially discovered in 30 beta, reproduced in 30 final.

Comment 2 Need Real Name 2019-05-28 01:11:34 UTC
The proj supplied with Fedora 30 is libproj.so.13.

The current xastir in the repos is built for fc29 so this will probbaly get fixed when the fc30 version is produced. Other dependiencies to look out for:

# rpm -Uvh xastir-2.0.8-9.fc29.x86_64.rpm 
error: Failed dependencies:
        libGraphicsMagick-Q16.so.3()(64bit) is needed by xastir-1:2.0.8-9.fc29.x86_64
        libXm.so.4()(64bit) is needed by xastir-1:2.0.8-9.fc29.x86_64
        libax25.so.1()(64bit) is needed by xastir-1:2.0.8-9.fc29.x86_64
        libgdal.so.20()(64bit) is needed by xastir-1:2.0.8-9.fc29.x86_64
        libproj.so.12()(64bit) is needed by xastir-1:2.0.8-9.fc29.x86_64
        perl(GPS::Garmin) is needed by xastir-1:2.0.8-9.fc29.x86_64
        perl(Image::Size) is needed by xastir-1:2.0.8-9.fc29.x86_64

Comment 3 Need Real Name 2019-05-28 01:24:31 UTC
^ Those are all satified by the fc30 versions of GraphicsMagick, gdal, motif, and libax25. I did a "ln /lib64/libproj.so.13 /lib64/libproj.so.12" and "rpm -Uvh --nodeps xastir-2.0.8-9.fc29.x86_64.rpm" and it seems to work. YMMV.

Comment 4 Fedora Update System 2019-06-02 09:42:25 UTC
FEDORA-2019-4ec9d192b2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ec9d192b2

Comment 5 Fedora Update System 2019-06-03 01:20:49 UTC
xastir-2.1.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ec9d192b2

Comment 6 Fedora Update System 2019-06-22 01:02:42 UTC
xastir-2.1.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.